## ros-lunar-swri-serial-util 2.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_serial_util)

find_package(catkin REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS})
  
add_library(${PROJECT_NAME} 
    src/serial_port.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-lunar-swri-serial-util (2.9.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-serial-util (2.8.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-serial-util (2.7.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-serial-util (2.7.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-serial-util (2.7.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-serial-util (2.7.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-serial-util (2.6.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-serial-util (2.5.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-serial-util (2.4.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-serial-util (2.3.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-serial-util (2.2.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-serial-util (2.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-serial-util (2.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-serial-util (2.0.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-serial-util (1.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-serial-util (1.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-serial-util (1.0.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-serial-util (0.3.0-1xenial) xenial; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-serial-util (0.2.4-1xenial) xenial; urgency=high

  * Support higher serial baud rates
    The system header /usr/include/asm-generic/termbits.h has constants for
    supporting baud rates up to 4000000, but swri_serial_util only allows up
    to 230400.  Some devices support these higher rates and there's no reason
    to not support them, so this adds support for them.
  * Check for error from ioctl in serial_port
    Fixes #406 <https://github.com/swri-robotics/marti_common/issues/406>
  * Contributors: Edward Venator, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-serial-util (0.2.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-serial-util (0.2.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-lunar-swri-serial-util (0.2.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.1.5-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.1.4-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.1.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-serial-util (0.1.2-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-serial-util (0.1.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-lunar-swri-serial-util (0.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-lunar-swri-serial-util (0.0.14-1xenial) xenial; urgency=high

  * Support higher serial baud rates (#423 <https://github.com/swri-robotics/marti_common/issues/423>)

 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-serial-util (0.0.13-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.0.12-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.0.11-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.0.10-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-serial-util (0.0.9-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-serial-util (0.0.8-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-serial-util (0.0.7-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 18 Nov 2015 06:00:00 -0000

ros-lunar-swri-serial-util (0.0.6-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-lunar-swri-serial-util (0.0.5-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 27 Sep 2015 05:00:00 -0000



=== debian/control ===
Source: ros-lunar-swri-serial-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-lunar-catkin
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-lunar-swri-serial-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: swri_serial_util
